Subject: Re: bug#4776: Error setting default face and unspecified-bg in default face when starting emacs 23.1 with --daemon

From: Joshua Redstone <[email-masked]>
Date: Tue, 3 Nov 2009 11:31:02 -0800

I just checked out the current repository, compiled, and this problem
doesn't exist for me anymore.
Looks like it was fixed.
Thanks,
Josh

On Wed, Oct 21, 2009 at 11:28 PM, Dan Nicolaescu <[email-masked]> wrote:

> Joshua Redstone <[email-masked]> writes:
>
>  > Hi,
>  > I downloaded emacs 23.1 and built it with './configure ; make' without
> incident
>  > on my linux box 2.6.20.
>  > In my .emacs I have the following specifying the default face:
>  > (custom-set-faces
>  >   ;; custom-set-faces was added by Custom.
>  >   ;; If you edit it by hand, you could mess it up, so be careful.
>  >   ;; Your init file should contain only one such instance.
>  >   ;; If there is more than one, they won't work right.
>  >  '(default ((t (:stipple nil :background "black" :foreground "white"
>  > :inverse-video nil :box nil :strike-through nil :overline nil :underline
> nil
>  > :slant normal :weight normal :height 140 :width normal))))
>  > When I start emacs without --daemon, it starts without errors, works
> fine, and
>  > the default face has reasonable values:
>  > -----------
>
> This sounds a lot like bug#1078
> could you try with emacs from CVS and see if you get the problem there too?
>